> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Event

> Delete (cancel) a single event occurrence — an appointment, shift, or block.



## OpenAPI

````yaml delete /check-in/calendar/delete/{event_id}
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /check-in/calendar/delete/{event_id}:
    delete:
      tags:
        - Calendar and Appointments
      summary: Delete Event
      description: >-
        Delete (cancel) a single event occurrence — an appointment, shift, or
        block.
      operationId: delete_event_check_in_calendar_delete__event_id__delete
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: event_id
          in: path
          required: true
          schema:
            type: string
            title: Event Id
        - name: recurrence_modification_mode
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/RecurrenceModificationMode'
            default: this
        - name: cancellation_reason
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cancellation Reason
        - name: send_sms
          in: query
          required: false
          schema:
            type: boolean
            description: Whether to send SMS notification when deleting an appointment
            default: true
            title: Send Sms
          description: Whether to send SMS notification when deleting an appointment
        - name: cancellation_message
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Custom cancellation message to send to patient
            title: Cancellation Message
          description: Custom cancellation message to send to patient
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventDeleteResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RecurrenceModificationMode:
      type: string
      enum:
        - this
        - future
        - all
      title: RecurrenceModificationMode
      description: >-
        Enum representing the different modes for handling recurring event
        modifications

        Used when modifying recurring events to specify which occurrences should
        be affected
    EventDeleteResponse:
      properties:
        eventIds:
          items:
            type: string
          type: array
          title: Eventids
        googleCalendarFailures:
          items:
            $ref: '#/components/schemas/GoogleCalendarSyncFailure'
          type: array
          title: Googlecalendarfailures
          default: []
      type: object
      required:
        - eventIds
      title: EventDeleteResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GoogleCalendarSyncFailure:
      properties:
        owner:
          $ref: '#/components/schemas/GoogleCalendarSyncOwner'
        reason:
          type: string
          const: token_expired
          title: Reason
          default: token_expired
      type: object
      required:
        - owner
      title: GoogleCalendarSyncFailure
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    GoogleCalendarSyncOwner:
      type: string
      enum:
        - provider
        - tenant
      title: GoogleCalendarSyncOwner

````